Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.file.i18n
Class FileMessages

    java.lang.Object
      org.mule.config.i18n.MessageFactory
          org.mule.transport.file.i18n.FileMessages

    public class FileMessages

extends MessageFactory

Field Summary

Fields inherited from class org.mule.config.i18n.MessageFactory
`logger`

Constructor Summary
`FileMessages()`

Method Summary
`static Message` | `connectorAutodeletesWithOneWayEndpoint(Connector connector, ImmutableEndpoint endpoint)`
`static Message` | `errorWhileListingFiles()`
`static Message` | `exceptionWhileProcessing(String name, String string)`
`static Message` | `failedToDeleteFile(File file)`
`static Message` | `failedToMoveFile(String from, String to)`
`static Message` | `fileDoesNotExist(String string)`
`static Message` | `invalidFileFilter(EndpointURI endpointURI)`
`static Message` | `invalidFilter(Object filter)`
`static Message` | `moveToDirectoryNotWritable()`

Methods inherited from class org.mule.config.i18n.MessageFactory
`createMessage, createMessage, createMessage, createMessage, createMessage, createStaticMessage, getBundlePath, getClassLoader, getString, getString, getString, getString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMessages

    public FileMessages()

Method Detail

### errorWhileListingFiles

    public static Message errorWhileListingFiles()

### exceptionWhileProcessing

    public static Message exceptionWhileProcessing(String name,
                                                   String string)

### failedToDeleteFile

    public static Message failedToDeleteFile(File file)

### failedToMoveFile

    public static Message failedToMoveFile(String from,
                                           String to)

### moveToDirectoryNotWritable

    public static Message moveToDirectoryNotWritable()

### invalidFileFilter

    public static Message invalidFileFilter(EndpointURI endpointURI)

### fileDoesNotExist

    public static Message fileDoesNotExist(String string)

### invalidFilter

    public static Message invalidFilter(Object filter)

### connectorAutodeletesWithOneWayEndpoint

    public static Message connectorAutodeletesWithOneWayEndpoint(Connector connector,
                                                                 ImmutableEndpoint endpoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.